Page MenuHomePhabricator

Translate special pages into Gorontalo
Closed, ResolvedPublic

Description

Please fill the following piece of coe.

$specialPageAliases = [
        'Activeusers'               => [ 'ActiveUsers' ],
        'Allmessages'               => [ 'AllMessages' ],
        'AllMyUploads'              => [ 'AllMyUploads', 'AllMyFiles' ],
        'Allpages'                  => [ 'AllPages' ],
        'ApiHelp'                   => [ 'ApiHelp' ],
        'ApiSandbox'                => [ 'ApiSandbox' ],
        'Ancientpages'              => [ 'AncientPages' ],
        'AutoblockList'             => [ 'AutoblockList', 'ListAutoblocks' ],
        'Badtitle'                  => [ 'Badtitle' ],
        'Blankpage'                 => [ 'BlankPage' ],
        'Block'                     => [ 'Block', 'BlockIP', 'BlockUser' ],
        'Booksources'               => [ 'BookSources' ],
        'BotPasswords'              => [ 'BotPasswords' ],
        'BrokenRedirects'           => [ 'BrokenRedirects' ],
        'Categories'                => [ 'Categories' ],
        'ChangeContentModel'        => [ 'ChangeContentModel' ],
        'ChangeCredentials'         => [ 'ChangeCredentials' ],
        'ChangeEmail'               => [ 'ChangeEmail' ],
        'ChangePassword'            => [ 'ChangePassword', 'ResetPass', 'ResetPassword' ],
        'ComparePages'              => [ 'ComparePages' ],
        'Confirmemail'              => [ 'ConfirmEmail' ],
        'Contributions'             => [ 'Contributions', 'Contribs' ],
        'CreateAccount'             => [ 'CreateAccount' ],
        'Deadendpages'              => [ 'DeadendPages' ],
        'DeletedContributions'      => [ 'DeletedContributions' ],
        'Diff'                      => [ 'Diff' ],
        'DoubleRedirects'           => [ 'DoubleRedirects' ],
        'EditTags'                  => [ 'EditTags' ],
        'EditWatchlist'             => [ 'EditWatchlist' ],
        'Emailuser'                 => [ 'EmailUser', 'Email' ],
        'ExpandTemplates'           => [ 'ExpandTemplates' ],
        'Export'                    => [ 'Export' ],
        'Fewestrevisions'           => [ 'FewestRevisions' ],
        'FileDuplicateSearch'       => [ 'FileDuplicateSearch' ],
        'Filepath'                  => [ 'FilePath' ],
        'GoToInterwiki'             => [ 'GoToInterwiki' ],
        'Import'                    => [ 'Import' ],
        'Invalidateemail'           => [ 'InvalidateEmail' ],
        'JavaScriptTest'            => [ 'JavaScriptTest' ],
        'BlockList'                 => [ 'BlockList', 'ListBlocks', 'IPBlockList' ],
        'LinkSearch'                => [ 'LinkSearch' ],
        'LinkAccounts'              => [ 'LinkAccounts' ],
        'Listadmins'                => [ 'ListAdmins' ],
        'Listbots'                  => [ 'ListBots' ],
        'Listfiles'                 => [ 'ListFiles', 'FileList', 'ImageList' ],
        'Listgrouprights'           => [ 'ListGroupRights', 'UserGroupRights' ],
        'Listgrants'                => [ 'ListGrants' ],
        'Listredirects'             => [ 'ListRedirects' ],
        'ListDuplicatedFiles'       => [ 'ListDuplicatedFiles', 'ListFileDuplicates' ],
        'Listusers'                 => [ 'ListUsers', 'UserList' ],
        'Lockdb'                    => [ 'LockDB' ],
        'Log'                       => [ 'Log', 'Logs' ],
        'Lonelypages'               => [ 'LonelyPages', 'OrphanedPages' ],
        'Longpages'                 => [ 'LongPages' ],
        'MediaStatistics'           => [ 'MediaStatistics' ],
        'MergeHistory'              => [ 'MergeHistory' ],
        'MIMEsearch'                => [ 'MIMESearch' ],
        'Mostcategories'            => [ 'MostCategories' ],
        'Mostimages'                => [ 'MostLinkedFiles', 'MostFiles', 'MostImages' ],
        'Mostinterwikis'            => [ 'MostInterwikis' ],
        'Mostlinked'                => [ 'MostLinkedPages', 'MostLinked' ],
        'Mostlinkedcategories'      => [ 'MostLinkedCategories', 'MostUsedCategories' ],
        'Mostlinkedtemplates'       => [ 'MostTranscludedPages', 'MostLinkedTemplates', 'MostUsedTemplates' ],
        'Mostrevisions'             => [ 'MostRevisions' ],
        'Movepage'                  => [ 'MovePage' ],
        'Mycontributions'           => [ 'MyContributions' ],
        'MyLanguage'                => [ 'MyLanguage' ],
        'Mypage'                    => [ 'MyPage' ],
        'Mytalk'                    => [ 'MyTalk' ],
        'Myuploads'                 => [ 'MyUploads', 'MyFiles' ],
        'Newimages'                 => [ 'NewFiles', 'NewImages' ],
        'Newpages'                  => [ 'NewPages' ],
        'PagesWithProp'             => [ 'PagesWithProp', 'Pageswithprop', 'PagesByProp', 'Pagesbyprop' ],
        'PageData'                  => [ 'PageData' ],
        'PageLanguage'              => [ 'PageLanguage' ],
        'PasswordReset'             => [ 'PasswordReset' ],
        'PermanentLink'             => [ 'PermanentLink', 'PermaLink' ],
        'Preferences'               => [ 'Preferences' ],
        'Prefixindex'               => [ 'PrefixIndex' ],
        'Protectedpages'            => [ 'ProtectedPages' ],
        'Protectedtitles'           => [ 'ProtectedTitles' ],
        'Randompage'                => [ 'Random', 'RandomPage' ],
        'RandomInCategory'          => [ 'RandomInCategory' ],
        'Randomredirect'            => [ 'RandomRedirect' ],
        'Randomrootpage'            => [ 'RandomRootpage' ],
        'Recentchanges'             => [ 'RecentChanges' ],
        'Recentchangeslinked'       => [ 'RecentChangesLinked', 'RelatedChanges' ],
        'Redirect'                  => [ 'Redirect' ],
        'RemoveCredentials'         => [ 'RemoveCredentials' ],
        'ResetTokens'               => [ 'ResetTokens' ],
        'Revisiondelete'            => [ 'RevisionDelete' ],
        'RunJobs'                   => [ 'RunJobs' ],
        'Search'                    => [ 'Search' ],
        'Shortpages'                => [ 'ShortPages' ],
        'Specialpages'              => [ 'SpecialPages' ],
        'Statistics'                => [ 'Statistics', 'Stats' ],
        'Tags'                      => [ 'Tags' ],
        'TrackingCategories'        => [ 'TrackingCategories' ],
        'Unblock'                   => [ 'Unblock' ],
        'Uncategorizedcategories'   => [ 'UncategorizedCategories' ],
        'Uncategorizedimages'       => [ 'UncategorizedFiles', 'UncategorizedImages' ],
        'Uncategorizedpages'        => [ 'UncategorizedPages' ],
        'Uncategorizedtemplates'    => [ 'UncategorizedTemplates' ],
        'Undelete'                  => [ 'Undelete' ],
        'UnlinkAccounts'            => [ 'UnlinkAccounts' ],
        'Unlockdb'                  => [ 'UnlockDB' ],
        'Unusedcategories'          => [ 'UnusedCategories' ],
        'Unusedimages'              => [ 'UnusedFiles', 'UnusedImages' ],
        'Unusedtemplates'           => [ 'UnusedTemplates' ],
        'Unwatchedpages'            => [ 'UnwatchedPages' ],
        'Upload'                    => [ 'Upload' ],
        'UploadStash'               => [ 'UploadStash' ],
        'Userlogin'                 => [ 'UserLogin', 'Login' ],
        'Userlogout'                => [ 'UserLogout', 'Logout' ],
        'Userrights'                => [ 'UserRights', 'MakeSysop', 'MakeBot' ],
        'Version'                   => [ 'Version' ],
        'Wantedcategories'          => [ 'WantedCategories' ],
        'Wantedfiles'               => [ 'WantedFiles' ],
        'Wantedpages'               => [ 'WantedPages', 'BrokenLinks' ],
        'Wantedtemplates'           => [ 'WantedTemplates' ],
        'Watchlist'                 => [ 'Watchlist' ],
        'Whatlinkshere'             => [ 'WhatLinksHere' ],
        'Withoutinterwiki'          => [ 'WithoutInterwiki' ],

Event Timeline

Urbanecm triaged this task as Low priority.Mar 7 2018, 3:28 PM
Urbanecm created this task.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMar 7 2018, 3:28 PM
Urbanecm updated the task description. (Show Details)Mar 7 2018, 3:28 PM

Since when is this necessary?

This is a benefit rather than a requirement. The other task about namespaces is almost requirement because is quite hard to rename namespaces and it can cause issues. But adding localized version of special pages can be done at any time.

I personally thinks that every language project should have translated about 90 % of MediaWiki core (so without any extensions). IMHO something like this is also a requirement before approving the wiki by LangCom.

But again, as I said, I have no problem with removing T189109 as the parent, wait for namespaces and then process with creation. This can be done later.

Cheers,
Martin

The requirement from Langcom currently is to translate the most-used messages set (for the first project in a language).

Wasn't the translation of special page names once possible on translatewiki.net? I guess that would make it easier.

The technical format doesn't allow translating at translatewiki.net (as well as namespaces).

@MF-Warburg Indeed it was possible to do so long time ago. However Special:Magic / Special:AdvancedTranslate is not working anymore and there are no plans to get it fixed by the state of things: T109235 - maybe if we make a lot of noise... ;-)

Urbanecm raised the priority of this task from Low to High.Apr 23 2018, 10:52 AM

Anybody going to translate this? We really should have at least basic speical pages translated. Raising priority to high.

Here is a list of required translations,

$specialPageAliases = [

'Activeusers'               => [ 'TaOhu’uwoAktif' ],
'Allmessages'               => [ 'Nga’amilaTahuli' ],
'AllMyUploads'              => [ 'Nga’amilaDiletohu’u', 'Nga’amilaBerkasi’u' ],
'Allpages'                  => [ 'Nga’amilaHalaman' ],
'ApiHelp'                   => [ 'ApiWubodu' ],
'ApiSandbox'                => [ 'ApiBakiLoHungayo' ],
'Ancientpages'              => [ 'HalamanMulolo' ],
'AutoblockList'             => [ 'AutoblockDaputari', 'DaputariAutoblocks' ],
'Badtitle'                  => [ 'JudulMoleto' ],
'Blankpage'                 => [ 'HalamanKosongi' ],
'Block'                     => [ 'Block', 'BlockIP', 'BlockTaOhu’uwo' ],
'Booksources'               => [ 'BukuBungo' ],
'BotPasswords'              => [ 'BotTaheU’unti' ],
'BrokenRedirects'           => [ 'BrokenLopobale' ],
'Categories'                => [ 'Dalala' ],
'ChangeContentModel'        => [ 'Boli’aTuangoModel' ],
'ChangeCredentials'         => [ 'Boli’aKredensial' ],
'ChangeEmail'               => [ 'Boli’aEmail' ],
'ChangePassword'            => [ 'Boli’aPassword', 'Tulo’iPass', 'Tulo’iPassword' ],
'ComparePages'              => [ 'PopotadengaHlaman' ],
'Confirmemail'              => [ 'KomfirmEmail' ],
'Contributions'             => [ 'Kontributor', 'Kontrib' ],
'CreateAccount'             => [ 'MohutuAkun' ],
'Deadendpages'              => [ 'HalamanBuntu' ],
'DeletedContributions'      => [ 'LulutaKontribusi' ],
'Diff'                      => [ 'Diff' ],
'DoubleRedirects'           => [ 'DubuluRedirects' ],
'EditTags'                  => [ 'Boli’aTags' ],
'EditWatchlist'             => [ 'Boli’aHeAwasiyalo' ],
'Emailuser'                 => [ 'EmailTaOhu’uwo', 'Email' ],
'ExpandTemplates'           => [ 'DuhengiTemplates' ],
'Export'                    => [ 'Ekspor' ],
'Fewestrevisions'           => [ 'RevisiNgo’idi' ],
'FileDuplicateSearch'       => [ 'LoloheBerkasDubulu' ],
'Filepath'                  => [ 'FilePath' ],
'GoToInterwiki'             => [ 'NtaliOdeInterwiki' ],
'Import'                    => [ 'Import' ],
'Invalidateemail'           => [ 'TilalaTanggalEmail' ],
'JavaScriptTest'            => [ 'JavaScriptTest' ],
'BlockList'                 => [ 'BlockDaputari', 'DaputariBlocks', 'IPBlockDputari' ],
'LinkSearch'                => [ 'LoloheWumbuta' ],
'LinkAccounts'              => [ 'WumbutaAkun' ],
'Listadmins'                => [ 'DaputariAdmins' ],
'Listbots'                  => [ 'DaputariBots' ],
'Listfiles'                 => [ 'DaputariBerkas', 'BerkasDaputari', 'DaputariGambari' ],
'Listgrouprights'           => [ 'DaputariGroupRights', 'TaOhu’uwoGroupRights' ],
'Listgrants'                => [ 'DaputariGrants' ],
'Listredirects'             => [ 'DaputariLopobale' ],
'ListDuplicatedFiles'       => [ 'DaputariBerkasDubulu', 'DaputariBerkasDubulu' ],
'Listusers'                 => [ 'DaputariTaOhu’uwo', 'TaOhu’uwoDaputari' ],
'Lockdb'                    => [ 'LockDB' ],
'Log'                       => [ 'Log', 'Logs' ],
'Lonelypages'               => [ 'HalamanTutuwawu', 'OrphanedHalaman' ],
'Longpages'                 => [ 'HalamanHayahaya’o' ],
'MediaStatistics'           => [ 'MediaStatistik' ],
'MergeHistory'              => [ 'MergeHistory' ],
'MIMEsearch'                => [ 'MIMELolohe' ],
'Mostcategories'            => [ 'DalalaUda’a' ],
'Mostimages'                => [ 'WumbutaBerkasUda’a', 'BerkasUda’a', 'GambariUdara' ],
'Mostinterwikis'            => [ 'InterwikiUda’a' ],
'Mostlinked'                => [ 'HalamanWumbutaUda’a', 'WumbutaUda’a' ],
'Mostlinkedcategories'      => [ 'WumbutaDalalaUda’a', 'DalalaUda’aPilomake' ],
'Mostlinkedtemplates'       => [ 'HalamanTranscludedUda’a', 'WumbutaUda’aTemplate', 'TemplateUda’aPilomake' ],
'Mostrevisions'             => [ 'Boli’oUda’a' ],
'Movepage'                  => [ 'MoheyiHalaman' ],
'Mycontributions'           => [ 'Kontribusi’u' ],
'MyLanguage'                => [ 'Bahasa’u' ],
'Mypage'                    => [ 'Halamani’u' ],
'Mytalk'                    => [ 'Lo’iya’u' ],
'Myuploads'                 => [ 'Diletohu’u', 'Berkasi’u' ],
'Newimages'                 => [ 'BerkasBohu', 'GambariBaohu' ],
'Newpages'                  => [ 'HalamanBohu' ],
'PagesWithProp'             => [ 'PagesWithProp', 'Pageswithprop', 'PagesByProp', 'Pagesbyprop' ],
'PageData'                  => [ 'DataHalaman' ],
'PageLanguage'              => [ 'BahasaHalaman' ],
'PasswordReset'             => [ 'ResetTaheU’unti' ],
'PermanentLink'             => [ 'WumbutaKakali', 'WumbKakali' ],
'Preferences'               => [ 'Preperensi' ],
'Prefixindex'               => [ 'PrefixIndeks' ],
'Protectedpages'            => [ 'HalamanOdudaha' ],
'Protectedtitles'           => [ 'JudulOdudaha' ],
'Randompage'                => [ 'Totonula', 'HalamanTotonula' ],
'RandomInCategory'          => [ 'TotonulaLoDalala' ],
'Randomredirect'            => [ 'TotonulaMopobale' ],
'Randomrootpage'            => [ 'TotonulaRootpage' ],
'Recentchanges'             => [ 'BoheliLoboli’aMola' ],
'Recentchangeslinked'       => [ 'WumbutaBoheliLoboli’aMola', 'RelatedLoboli’a' ],
'Redirect'                  => [ 'Mopobale' ],
'RemoveCredentials'         => [ 'YinggilaKredensial' ],
'ResetTokens'               => [ 'ResetToken' ],
'Revisiondelete'            => [ 'MolulutoRevisi'                  
‘RunJobs	            => [ 'RunJobs' ],
'Search'                    => [ 'Lolohe' ],
'Shortpages'                => [ 'HalamanLimbu’o' ],
'Specialpages'              => [ 'HalamanSpesial' ],
'Statistics'                => [ 'Statistik', 'Stat' ],
'Tags'                      => [ 'Tags' ],
'TrackingCategories'        => [ 'TrackingDalala' ],
'Unblock'                   => [ 'Unblock' ],
'Uncategorizedcategories'   => [ 'DalalaJaOdalala' ],
'Uncategorizedimages'       => [ 'BerkasJaOdalala', 'GambariJaOdalala' ],
'Uncategorizedpages'        => [ 'HalamanJaOdalala' ],
'Uncategorizedtemplates'    => [ 'TemplateJaOdalala' ],
'Undelete'                  => [ 'BataliMoluluto' ],
'UnlinkAccounts'            => [ 'BataliyaWumbutaLoAkun' ],
'Unlockdb'                  => [ 'UnlockDB' ],
'Unusedcategories'          => [ 'DalalaJaPilomake' ],
'Unusedimages'              => [ BerkasJaPilomake', 'GambariJaPilomake' ],
'Unusedtemplates'           => [ 'TemplateJaPilomake' ],
'Unwatchedpages'            => [ 'HalamanJaOdudaha' ],
'Upload'                    => [ 'Detohe' ],
'UploadStash'               => [ 'DetoheStash' ],
'Userlogin'                 => [ 'TumuwotoTaOhu’uwo', 'Tumuwoto' ],
'Userlogout'                => [ 'LumuwaloTaOhu’uwo', 'Lumuwalo' ],
'Userrights'                => [ 'UserRights', 'MakeSysop', 'MakeBot' ],
'Version'                   => [ 'Versi' ],
'Wantedcategories'          => [ 'DalalaOtohilawo' ],
'Wantedfiles'               => [ 'BerkasOtohilawo' ],
'Wantedpages'               => [ 'HalamanOtohilawo', 'WumbutaLorusa' ],
'Wantedtemplates'           => [ 'TemplateOtohilawo' ],
'Watchlist'                 => [ 'DaputariHe’awasiyalo' ],
'Whatlinkshere'             => [ 'WoloWumbutaTeye' ],
'Withoutinterwiki'          => [ 'Diya’aInterwiki' ],

Change 428915 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/core@master] Translate special pages into Gorontalo

https://gerrit.wikimedia.org/r/428915

@MarwanMohamad, are you sure that it's correct to use character? Maybe it's would be better to use '?

I'm fine with either. Just checking.

Hi @Amire80, yes, you are right. I made a mistake because I wrote it in ms word then copied it to this conversation.
That's what caused the character difference.
Thank you very much for fixing it.

@MarwanMohamad Ok, thank you. I changed it in the patch.

Change 428915 merged by jenkins-bot:
[mediawiki/core@master] Translate special pages into Gorontalo

https://gerrit.wikimedia.org/r/428915

Urbanecm closed this task as Resolved.May 27 2018, 2:37 PM

Will be deployed during train.